{% extends "teams/base.html" %}

{% block content %}
<div class="filter">
    <form action="" method="GET">
        <label>
            <input type="text" name="filter" class="form-control" placeholder="Поиск по фамилии">
            <button class="btn btn-primary">Найти</button>
        </label>
    </form>
</div>
<div class="players">
    {% for player in players %}
        {% if player.is_approved == True %}
            <a class="player_is_approved" href="{% url 'one-player' player.id %}">
        {% else %}
            <a class="player_is_not_approved" href="{% url 'one-player' player.id %}">
        {% endif %}
                <div class=player__photo"">
                    <img src="{{ MEDIA_URL }}{{player.photo.name}}" alt="" class="img_photo">
                </div>
                <div class="player_info">
                    <div class="player_lastname">
                        {{ player.lastname }}
                    </div>
                    <div class="player_firstname">
                        {{ player.firstname }}
                    </div>
                    <div class="player_role">
                        {{ player.role.name }}
                    </div>
                    <div class="player_growth">
                        {{ player.growth }}
                    </div>
                    <div class="player_year_of_birth">
                        {{ player.year_of_birth }}
                    </div>
                </div>
            </a>
    {% endfor %}
</div>
{% endblock content %}
{% block styles %}
<style>
        .filter label {
            padding: 5px;
            display: flex;
            width: 400px;
            gap: 5px;
        }

        .player_is_approved {
            text-decoration: none;
            color: black;
            border: 2px solid #3875d7;
            border-radius: 20px;
            display: flex;
            gap: 5px;
            width: 100%;
            max-width: 300px;
            min-width: 300px;
        }

        .player_is_not_approved {
            text-decoration: none;
            color: black;
            background: rgba(255, 0, 0, 0.5);
            border: 2px solid #3875d7;
            border-radius: 20px;
            display: flex;
            gap: 5px;
            width: 100%;
            max-width: 300px;
            min-width: 300px;
        }

        .player_is_approved:hover{
            background: rgba(135, 206, 250, 0.5);
            border-radius: 20px;
        }

         .player_is_not_approved:hover{
            background: rgba(255, 0, 0, 0.7);
            border-radius: 20px;
        }

        .img_photo{
            width: 120px;
            height: 120px;
            border-radius: 18px;
        }

        .players {
            flex-wrap: wrap;
            display: flex;
            width: 100%;
            justify-content: space-evently;
            gap: 20px;

        }
        .player_info{
            width: 100%;
            justify-content: right;
            font-family: Mistral;
            text-transform: uppercase;

            }

        .player_lastname{
            width: 100%;
            text-align: left;
        }

        .player_firstname{
            width: 100%;
            text-align: left;
        }




</style>
{% endblock styles %}
